Subject: Re: [bug#29392] [PATCH 00/11] New scons build system

From: [email-masked] (Ludovic Courtès)
Date: Sun, 26 Nov 2017 17:17:59 +0100

Leo Famulari <[email-masked]> skribis:

> On Wed, Nov 22, 2017 at 02:11:15PM +0530, Arun Isaac wrote:
>> I am also unable to build mongodb on my machine. It's probably due to
>> insufficient memory (I have 4 GB). Somebody should verify that the build works
>> on their machine. On my machine, it fails with the error:
>
> It turns out that mongodb's test suite uses 45 GB of storage at its
> peak.

As mentioned on IRC, if it’s C++, it makes a huge difference to build
with “-g0” such that object files do not contain debugging info.
Perhaps worth checking if it helps here!

Ludo’.